#include "xparameters.h"

unsigned int *my_peripheral =
              (unsigned int *) XPAR_MY_PERIPHERAL_0_BASEADDR;

int main (void) {

  unsigned int DataRead;
  unsigned int OldData;

  // Clear the screen
  xil_printf("%c[2J",27);
  
  OldData = (unsigned int) 0xffffffff;
  while(1){
    // Read the state of the DIP switches
    DataRead = *my_peripheral;
    // Send the data to the UART if the settings change
    if(DataRead != OldData){
      xil_printf("DIP Switch settings: 0x%X\r\n", DataRead);
      // Set the LED outputs to the DIP switch values
      *my_peripheral = DataRead;
      // Record the DIP switch settings
      OldData = DataRead;
    }
  }
}
